package com.yihaomen.springboot.service;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Service;

import com.yihaomen.springboot.AppProperties;
import com.yihaomen.springboot.AppProperties.Menu;
import com.yihaomen.springboot.GlobalProperties;


@Service
public class MyCommandService {
	
	@Value("${name:unknown}")
    private String name;
	
	@Autowired
	private GlobalProperties prop;
	
	@Autowired
	private AppProperties app;

    public String getMessage() {
        return getMessage(name);
    }

    public String getMessage(String name) {
    	List<Menu> menus = app.getMenus();
    	String temp = "";
    	for(Menu m : menus) {
    		temp = temp + m.getName() + " || ";
    	}
        return "Hello " + name + " || address: " + prop.getAddress() + " menus: " + temp;
    }

}
